import { defineComponent, $prefix, setup as _setup } from "@dft-vue-2-opentiny/vue-common";
import { renderless, api } from "@dft-vue-2-opentiny/vue-renderless/pull-refresh/vue";
import "@dft-vue-2-opentiny/vue-theme-mobile/pull-refresh/index.css";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  name: $prefix + "PullRefresh",
  props: {
    modelValue: Boolean,
    loosingText: String,
    successText: String,
    failedText: String,
    successDuration: {
      type: [Number, String],
      default: 500
    },
    animationDuration: {
      type: [Number, String],
      default: 300
    },
    disabled: {
      type: Boolean,
      default: false
    },
    pullUp: {
      type: Object,
      default: {}
    },
    pullDown: {
      type: Object,
      default: {}
    },
    hasMore: {
      type: Boolean,
      default: true
    }
  },
  setup: function setup(props, context) {
    return _setup({
      props,
      context,
      renderless,
      api,
      mono: true
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-mobile-pull-refresh",
    style: _vm.state.refreshStyle
  }, [_c("div", {
    ref: "track",
    staticClass: "tiny-mobile-pull-refresh__track",
    style: {
      "transition-duration": _vm.state.animationDuration + "ms",
      transform: "translate3d(0px," + _vm.state.translate3d + "px,0px)"
    }
  }, [_vm.state.pullDownLoading || _vm.state.pullDownReplaces ? _c("div", {
    staticClass: "tiny-mobile-pull-refresh__tips tiny-mobile-pull-refresh__head",
    style: {
      height: _vm.state.pullDown.headHeight + "px"
    }
  }, [!_vm.state.pullDownLoading ? _c("span", [_vm._v(_vm._s(_vm.state.pullDownReplaces))]) : _vm._e(), _vm.state.pullDownLoading ? _vm._t("loading", [_vm.state.pullDownLoading ? _c("ul", {
    staticClass: "tiny-mobile-pull-refresh__loading"
  }, [_c("i"), _c("i"), _c("i")]) : _vm._e()]) : _vm._e()], 2) : _vm._e(), _c("div", {
    staticClass: "tiny-mobile-pull-refresh__content"
  }, [_vm._t("default")], 2), _vm.state.pullUpLoading || _vm.state.pullUpReplaces ? _c("div", {
    staticClass: "tiny-mobile-pull-refresh__tips tiny-mobile-pull-refresh__foot",
    style: {
      height: _vm.state.pullUp.footHeight + "px"
    }
  }, [!_vm.state.pullUpLoading ? _c("span", [_vm._v(_vm._s(_vm.state.pullUpReplaces))]) : _vm._e(), _vm.state.pullUpLoading ? _vm._t("loading", [_vm.state.pullUpLoading ? _c("ul", {
    staticClass: "tiny-mobile-pull-refresh__loading"
  }, [_c("i"), _c("i"), _c("i")]) : _vm._e()]) : _vm._e()], 2) : _vm._e()])]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var PullRefresh = /* @__PURE__ */ function() {
  return __component__.exports;
}();
var version = "2.8.0";
PullRefresh.model = {
  prop: "modelValue",
  event: "update:modelValue"
};
PullRefresh.install = function(Vue) {
  Vue.component(PullRefresh.name, PullRefresh);
};
PullRefresh.version = version;
export {
  PullRefresh as default
};
